/**
 * Admin Scripts
 */

jQuery(document).ready(function () {

    var check = jQuery("#api_settings_tab_checkbox").is(':checked'),
        disableFieldCss = {'pointer-events': 'none', 'border': '1px solid lightcyan', 'color': 'lightgray'};

    if (check === true) {
        jQuery('#api_settings_tab_api_secret_key').removeAttr('style');
        jQuery('#api_settings_tab_api_key').removeAttr('style');
    } else {
        jQuery('#api_settings_tab_api_secret_key').css(disableFieldCss);
        jQuery('#api_settings_tab_api_key').css(disableFieldCss);
    }

    jQuery('#api_settings_tab_checkbox').click(function () {

        var thisButton = jQuery(this).is(':checked');

        if (thisButton === true) {
            jQuery('#api_settings_tab_api_secret_key').removeAttr('style');
            jQuery('#api_settings_tab_api_key').removeAttr('style');
        }
        if (thisButton === false) {
            jQuery('#api_settings_tab_api_secret_key').css(disableFieldCss);
            jQuery('#api_settings_tab_api_key').css(disableFieldCss);
        }
    });

    jQuery(document).on('click', '.steadfast_send', function (e) {
        e.preventDefault();
        const thisButton = jQuery(this),
            orderId = thisButton.data('order-id'),
            orderNonce = thisButton.data('std-order-nonce');

        thisButton.html('Sending...');

        jQuery.ajax({
            type: 'post',
            url: ajaxurl,
            data: {
                'action': 'api_ajax_call',
                'order_id': orderId,
                'order_nonce': orderNonce,
            },

            success: function (response) {

                if (response.success) {
                    thisButton.attr('data-is-sent', 'true');
                    thisButton.html('Sent');
                    setTimeout(function () {
                        location.reload();
                    }, 2000);
                } else {
                    if (response.data.message === 'unauthorized') {
                        thisButton.html('Unauthorized').addClass('unauthorized').css({
                            "backgroundColor": "#f35151",
                            "color": "white",
                            "width": "100px",
                            "padding": "2px",
                            "font-size": "11px",
                            "font-family": "sans-serif"
                        });
                    } else {
                        thisButton.html('Failed').addClass('steadfast-failed tooltip');
                        thisButton.append('<span class="tooltip-text">' + response.data.message + '</span>');
                    }
                }
            },
            error: function (xhr, textStatus, errorThrown) {
                console.log('Error:', errorThrown);
                // Handle error here
            }
        });
    });

    jQuery(document).on('focusout', "#steadfast-amount", function () {

        var thisField = jQuery(this),
            inputValue = thisField.val(),
            inputId = thisField.data('order-id'),
            stdAmountNonce = thisField.data("std-amount");

        console.log(stdAmountNonce);

        jQuery.ajax({
            type: 'post',
            url: ajaxurl,
            data: {
                "action": "input_amount",
                "input_value": inputValue,
                "input_id": inputId,
                "std_amount_nonce": stdAmountNonce,
            },

            success: function (response) {
                // if (response.data.message === 'success') {
                //     console.log('Updated');
                // }
            }
        });
    });

    jQuery(document).on('click', ".std-balance", function () {

        var thisButton = jQuery(this),
            thisButtonVal = thisButton.val(),
            showBalance = jQuery(".std-current-bal"),
            stdBalanceNonce = thisButton.data("std-balance-nonce");

        thisButton.html('Checking....');

        jQuery.ajax({
            url: ajaxurl,
            data: {
                "action": "std_current_balance",
                "value": thisButtonVal,
                "std_nonce": stdBalanceNonce,
            }, type: 'post',

            success: function (response) {
                if (response.success) {
                    var data = response.data;
                    if ('failed' === data) {
                        thisButton.html('Failed!').css({'width': '80px', 'background': '#ff3737', 'border': 'none', 'font-weight': '400', 'pointer-events': 'none'});
                    } else if ('unauthorized' === data) {
                        thisButton.html('Unauthorized!').css({'width': '115px', 'border': 'none', 'background': '#fb3c3ca8', 'font-weight': '400', 'pointer-events': 'none'});
                    } else {
                        showBalance.find(".balance").html(data + " TK");
                        showBalance.removeClass("hidden");
                        thisButton.html('Balance').css({'background': '#3f9668', 'border': 'none', 'color': 'white', 'pointer-events': 'none'});
                    }
                }
            }
        });
    });

    jQuery(document).on('click', "#std-delivery-status", function (e) {
        e.preventDefault();
        var thisButton = jQuery(this),
            thisButtonVal = thisButton.data("consignment-id"),
            getNonce = thisButton.data("std-status");
        console.log(getNonce);

        thisButton.html('Checking....');

        jQuery.ajax({
            url: ajaxurl,
            data: {
                "action": "std_delivery_status",
                "value": thisButtonVal,
                "std_nonce": getNonce,
            }, type: 'post',

            success: function (response) {

                if (response.success) {
                    var message = response.data;

                    if ('unauthorized' === message) {
                        thisButton.html(message).css({'width': '105px', 'border': 'none', 'background': '#fb3c3ca8', 'font-weight': '400', 'pointer-events': 'none'});
                    } else if ('cancelled' === message) {
                        thisButton.html(message).addClass('std-status-color').css({'background': '#8B0000'});
                    } else if ('in_review' === message) {
                        thisButton.html(message).addClass('std-status-color').css({'background': '#0000FF'});
                    } else if ('pending' === message) {
                        thisButton.html(message).addClass('std-status-color').css({'background': '#CCCCCC'});
                    } else if ('hold' === message) {
                        thisButton.html(message).addClass('std-status-color').css({'background': '#FFA500'});
                    } else if ('unknown' === message) {
                        thisButton.html(message).addClass('std-status-color').css({'background': '#808080'});
                    } else if ('delivered' === message) {
                        thisButton.html(message).addClass('std-status-color').css({'background': '#006400'});
                    } else if ('cancelled_approval_pending' === message) {
                        thisButton.html(message).addClass('std-long-status-color').css({'background': '#FF0000'});
                    } else if ('partial_delivered_approval_pending' === message) {
                        thisButton.html(message).addClass('std-long-status-color').css({'background': '#7CFC00'});
                    } else if (' delivered_approval_pending' === message) {
                        thisButton.html(message).addClass('std-status-color').css({'background': '#008000'});
                    } else if (' unknown_approval_pending' === message) {
                        thisButton.html(message).addClass('std-status-color').css({'background': '#A9A9A9'});
                    } else {
                        thisButton.html(message).addClass('std-status-color').css({'background': '#3f9668'});
                    }
                }

                setTimeout(function () {
                    thisButton.html('Check').removeClass('std-status-color std-long-status-color').removeAttr('style');
                }, 10000);

            }
        });
    });

    jQuery('.amount-disable').attr('disabled', 'disabled');
    jQuery('.steadfast-send-success').html('Success').attr('disabled', 'disabled').addClass('tooltip');
    jQuery('.tooltip').append('<span class="tooltip-text">This parcel is already send to SteadFast!</span>');
});


